#include <stdio.h>

int main()
{
    char a, b;
    long long a1, b1, z;
    scanf("%c%c", &a, &b);
    scanf("%lld %lld", &a1, &b1);
    if(a1 > b1+1 || b1 > a1+1)
    {
        printf("nemoguce");
    }
    else
    {
        z = a1+b1;
        if(a1 > b1)
        {
            for(int i = 0;i < b1;i++)
            printf("%c%c", a, b);
            printf("%c", a);
        }
        else
        {
            for(int i = 0; i < a1; i++)
                printf("%c%c", b, a);
            if(b1 > a1)
                printf("%c", b);
            ;
        }
    }
}